Docker Community Forums

Share and learn in the Docker community.

Docker-compose up -d error

I am new to docker. What I am trying to do is setup this Grafana

https://grafana.com/grafana/dashboards/12106

Basically its a monitoring system for Dell’s iDrac. I have docker and docker compose installed and when i first run the “docker-compse up -d” command, everything seems to work fine. After a reboot i have to go into the command line and cd /opt/monitoring then run the docker-compose up -d command. if i dont it cant seem to find the docker-compose.yml file. Secondly, after i run the docker-compose up -d command i get the following error.

[root@iDracMet ~]# docker-compose up -d
ERROR:
Can’t find a suitable configuration file in this directory or any
parent. Are you in the right directory?

    Supported filenames: docker-compose.yml, docker-compose.yaml

[root@iDracMet ~]# cd /opt/monitorig
-bash: cd: /opt/monitorig: No such file or directory
[root@iDracMet ~]# cd /opt/monitoring
[root@iDracMet monitoring]# docker-compose up -d
WARNING: Found multiple config files with supported names: docker-compose.yml, docker-compose.yaml
WARNING: Using docker-compose.yml

Traceback (most recent call last):
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1252, in request
File “http/client.py”, line 1298, in _send_request
File “http/client.py”, line 1247, in endheaders
File “http/client.py”, line 1026, in _send_output
File “http/client.py”, line 966, in send
File “docker/transport/unixconn.py”, line 43, in connect
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.py”, line 727, in urlopen
File “urllib3/util/retry.py”, line 403, in increment
File “urllib3/packages/six.py”, line 734, in reraise
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1252, in request
File “http/client.py”, line 1298, in _send_request
File “http/client.py”, line 1247, in endheaders
File “http/client.py”, line 1026, in _send_output
File “http/client.py”, line 966, in send
File “docker/transport/unixconn.py”, line 43, in connect
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, FileNotFoundError(2, ‘No such file or directory’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker/api/client.py”, line 205, in _retrieve_server_version
File “docker/api/daemon.py”, line 181, in version
File “docker/utils/decorators.py”, line 46, in inner
File “docker/api/client.py”, line 228, in _get
File “requests/sessions.py”, line 543, in get
File “requests/sessions.py”, line 530, in request
File “requests/sessions.py”, line 643, in send
File “requests/adapters.py”, line 498, in send
requests.exceptions.ConnectionError: (‘Connection aborted.’, FileNotFoundError(2, ‘No such file or directory’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “bin/docker-compose”, line 3, in
File “compose/cli/main.py”, line 67, in main
File “compose/cli/main.py”, line 123, in perform_command
File “compose/cli/command.py”, line 69, in project_from_options
File “compose/cli/command.py”, line 132, in get_project
File “compose/cli/docker_client.py”, line 43, in get_client
File “compose/cli/docker_client.py”, line 170, in docker_client
File “docker/api/client.py”, line 188, in init
File “docker/api/client.py”, line 213, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, FileNotFoundError(2, ‘No such file or directory’))
[8510] Failed to execute script docker-compose